VMware vSphere Automation SDK Perl The VMware vSphere Automation SDK for Perl supports the client-side vSphere Automation API for access to vSphere services and capabilities

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Files Functions
Classes | List of all members
Com::Vmware::Appliance::Techpreview::Shutdown Class Reference
Inheritance diagram for Com::Vmware::Appliance::Techpreview::Shutdown:

## Classes
class | ShutdownConfig
class | ShutdownGetConfig

## Avaliable Methods
public method | reboot ()
public method | poweroff ()
public method | get ()
public method | cancel ()
public method | new ()

## Detailed Description

`Com::Vmware::Appliance::Techpreview::Shutdown` interface provides methods Performs reboot/shutdow operations on appliance.

## Member Function Documentation

public method Com::Vmware::Appliance::Techpreview::Shutdown::cancel | ( |  | ) |

Cancel pending shutdown action.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in cancel: 4
sub cancel {
my ($self, %args) = @_;
return $self->invoke(method_name => 'cancel', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::get | ( |  | ) |

Get details about the pending shutdown action.

Return values

  Configuration | of pending shutdown action. The return type will be Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownGetConfig

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in get: 4
sub get {
my ($self, %args) = @_;
return $self->invoke(method_name => 'get', method_args => {});
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::new | ( |  | ) |

Constructor to initialize the object

Parameters

  api_provider | - protocol connection to use with stubs created by this factory
  StubConfig | - Stub's additional configuration

Return values

  Blessed | object

Code:
click to view
# Number of lines of code in new: 11
sub new {
my ($class, %args) = @_;
$class = ref($class) || $class;
my $stub_config = $args {stub_config};
my $api_provider = $args {api_provider};
my $self = $class->SUPER::new('stub_config' => $stub_config,
'api_provider' => $api_provider);
bless $self, $class;
return $self;
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::poweroff | ( |  | ) |

Power off the appliance.

Parameters

  config | [REQUIRED] Configuration of poweroff action . The value must be Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in poweroff: 10
sub poweroff {
my ($self, %args) = @_;
my $config = $args {config};
$self->validate_args (method_name => 'poweroff',
method_args => \%args);
return $self->invoke (method_name => 'poweroff',
method_args => \%args);
}

public method Com::Vmware::Appliance::Techpreview::Shutdown::reboot | ( |  | ) |

Reboot the appliance.

Parameters

  config | [REQUIRED] Configuration of reboot action . The value must be Com::Vmware::Appliance::Techpreview::Shutdown::ShutdownConfig.

Exceptions

  Com::Vmware::Vapi::Std::Errors::Error | Generic error

Code:
click to view
# Number of lines of code in reboot: 10
sub reboot {
my ($self, %args) = @_;
my $config = $args {config};
$self->validate_args (method_name => 'reboot',
method_args => \%args);
return $self->invoke (method_name => 'reboot',
method_args => \%args);
}

The documentation for this class was generated from the following file:

- Com/Vmware/Appliance/Techpreview/Shutdown.pm